package com.meas.system.mapper;

import com.meas.system.domain.MeasTransmissionRate;

import java.util.List;

/**
 * 透过率Mapper接口
 *
 * @author wgk
 * @date 2024-06-13
 */
public interface MeasTransmissionRateMapper {
    /**
     * 查询透过率
     *
     * @param id 透过率主键
     * @return 透过率
     */
    public MeasTransmissionRate selectMeasTransmissionRateById(Long id);

    /**
     * 查询透过率列表
     *
     * @param measTransmissionRate 透过率
     * @return 透过率集合
     */
    public List<MeasTransmissionRate> selectMeasTransmissionRateList(MeasTransmissionRate measTransmissionRate);

    /**
     * 新增透过率
     *
     * @param measTransmissionRate 透过率
     * @return 结果
     */
    public int insertMeasTransmissionRate(MeasTransmissionRate measTransmissionRate);

    /**
     * 修改透过率
     *
     * @param measTransmissionRate 透过率
     * @return 结果
     */
    public int updateMeasTransmissionRate(MeasTransmissionRate measTransmissionRate);

    /**
     * 删除透过率
     *
     * @param id 透过率主键
     * @return 结果
     */
    public int deleteMeasTransmissionRateById(Long id);

    /**
     * 批量删除透过率
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMeasTransmissionRateByIds(Long[] ids);

    MeasTransmissionRate selectResultsByEnvDataId(Long envDataId);
}
